﻿using System;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using System.Net;

namespace PollyHttpClientTimeoutBlog.Controllers
{
    [Produces("application/json")]
    [Route("api/Inventory")]
    public class InventoryController : Controller
    {
        static int _requestCount = 0;

        [HttpGet("{id}")]
        public async Task<IActionResult> Get(int id)
        {
            _requestCount++;

            if (_requestCount <= 3)
            {
                await Task.Delay(10000); // simulate some delay for 10 seconds
            }

            return Ok(15);
        }
    }
}
